.site-header{
    position:sticky;
    top:0;
    background:#fff;
    z-index:999;
    box-shadow:0 2px 10px rgba(0,0,0,.08);
}

.site-header .container{
    max-width:1200px;
    margin:auto;
    padding:0 20px;
    height:80px;
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.logo img{

    height:60px;

}

.main-nav ul {
    display: flex;
    align-items: center;
    gap: 2rem;
    list-style: none;
    margin: 0;
    padding: 0;
}

.main-nav ul,
.main-nav ul ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.main-nav li {
    position: relative;
    margin: 0;
    padding: 0;
}

.main-nav a {
    display: block;
    padding: .5rem 0;
    text-decoration: none;
    color: #222;
    font-weight: 600;
    transition: color .25s;
}

.main-nav a:hover {
    color: #005EA8;
}

.menu-toggle{

    display:none;

    width:42px;

    height:42px;

    border:none;

    background:none;

    cursor:pointer;

}

.menu-toggle span{

    display:block;

    width:28px;

    height:3px;

    margin:6px auto;

    background:#222;

    transition:.3s;

}


/**
* Positionnement du sous-menu
**/

.main-nav li {
    position: relative;
}

.main-nav .sub-menu {
    position: absolute;
    top: 100%;
    left: 0;

    display: none;
    min-width: 220px;

    background: #fff;
    box-shadow: 0 8px 20px rgba(0,0,0,.15);

    z-index: 1000;
}

.main-nav li:hover > .sub-menu {
    display: block;
}

.main-nav .sub-menu li {
    width: 100%;
}

.main-nav .sub-menu a {
    padding: 12px 18px;
    white-space: nowrap;
}







@media (max-width:900px){

.menu-toggle{

    display:block;

}

.main-nav{

    position:fixed;

    top:80px;

    right:-100%;

    width:280px;

    height:calc(100vh - 80px);

    background:white;

    transition:.35s;

    box-shadow:-5px 0 15px rgba(0,0,0,.1);

}

.main-nav.open{

    right:0;

}

.main-nav ul {
        flex-direction: column;
        align-items: stretch;
        gap: 0;
    }

    .main-nav li {
        border-bottom: 1px solid #eee;
    }

    .main-nav a {
        padding: 18px;
    }

}

/**
* Pour le menu déroulant
**/

.menu-toggle.open span:nth-child(1){

    transform:translateY(9px) rotate(45deg);

}

.menu-toggle.open span:nth-child(2){

    opacity:0;

}

.menu-toggle.open span:nth-child(3){

    transform:translateY(-9px) rotate(-45deg);

}

/**
* Pour l'image de fond dans le header
**/

.header-background {
    position: absolute;
    inset: 0;

    background-image: url("../images/background.jpg");
    background-size: cover;
    background-position: top left;

    z-index: -2;
}

.header-background::after {
    content: "";
    position: absolute;
    inset: 0;

    background: linear-gradient(
        to bottom,
        rgba(255,255,255,0.35),
        rgba(255,255,255,1)
    );
}

.header-content {
    position: relative;
    z-index: 1;
}



